# Create a privacy request

```
POST https://www.example.com/api/v2/privacy_requests
```

Create a privacy request

## Request

### Header Parameters

**authorization** string required  
**Example:** `Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9`

- application/json

### Body

**email_address** string required  
The email address of the data subject

**privacy_right** string required  
The privacy right associated with the request.  
The request type must be supported by the privacy request policy.  
If no policy is provided, the default policy will be used.  
**Possible values:** [`access`, `access_categories`, `data_portability`, `deletion`, `disclosure`, `pause_processing`, `rectification`, `sale_disclosure`, `third_party_disclosure`]

**privacy_request_policy_id** string  
The id of the privacy policy that this request is associated with  
**Example:** `94af67cf-5567-4a48-bc75-12ca0e8de9aa`

**first_name** string  
The data subject's first name. Can be included in the intake_data hash.

**last_name** string  
The data subject's last name. Can be included in the intake_data hash.

**request_date** string  
The date at which the request was originally requested. Must be formatted like YYYY-MM-DD  
**Example:** `2023-04-01`

**country_code** string  
The country code for the location origin of the request  
**Example:** `US`

**state_code** string  
The reported state code for the location origin of the request. (If in the United States)  
**Example:** `CA`

**relationship** string  
The relationship of the requester to the data subject.  
**Possible values:** [`controller`, `processor`]  
**Default value:** `controller`

**notes** string  
Any additional context or notes to be provided in the privacy request details.

**locale** string  
The locale of the request. This is used to determine the language downstream communication (email) for the request.  
**Example:** `en`

**intake_data** object  
The intake data associated with the request.  
Include any intake form data with custom questions and answers that are associated with the request here.  
This could include authorized agent information, data subject relationship, additional_info, inaccuracy_details, and any other custom questions.  
This is a JSON object with key/value pairs where the key is the question name and the value is the answer.

**data_subject_relationship** string  
The relationship the data subject has to your organization. The possible values listed are only the default.  
If you have customized these default options, please refer to those options.  
This is a required field if the privacy request policy for the request requires it.  
**Possible values:** [`applicant`, `contact`, `customer`, `employee`, `former_employee`, `other`]  
**Example:** `applicant`

**property name** object

oneOf
- string
- string[]

string

**skip_results_email** boolean  
Flag to indicate if the final notification email should be skipped after processing a request  
**Default value:** `false`  
**Example:** `false`

```json
{
  "email_address": "string",
  "privacy_right": "access",
  "privacy_request_policy_id": "94af67cf-5567-4a48-bc75-12ca0e8de9aa",
  "first_name": "string",
  "last_name": "string",
  "request_date": "2023-04-01",
  "country_code": "US",
  "state_code": "CA",
  "relationship": "controller",
  "notes": "string",
  "locale": "en",
  "intake_data": {
    "first_name": "Guinevere",
    "last_name": "Camelot",
    "authorized_agent_email": "agent@example.com",
    "favorite_colors": [
      "red",
      "blue"
    ],
    "data_subject_relationship": "employee"
  },
  "skip_results_email": false
}
```

## Responses

- 201  
Privacy Request created
- application/json

**Schema**

**id** string  
The unique identifier of the request.  
**Example:** `967e34da-4863-4fcf-842d-176dd102d032`

**created_at** string  
Datetime of when the privacy request was created.  
**Example:** `2024-08-09T21:14:49.444Z`

**due_date** string  
Date of when the privacy request is due.  
**Example:** `2024-08-09`

**origin** string  
The origin of the request.  
**Possible values:** [`api`, `application`, `email`, `intake_form`, `internal_intake_form`, `phone`]  
**Example:** `intake_form`

**locale** string  
The locale of the request for the language that the request was submitted in  
**Example:** `es`

**privacy_right** string  
The type of request that was made.  
**Possible values:** [`access`, `access_categories`, `data_portability`, `deletion`, `disclosure`, `pause_processing`, `rectification`, `sale_disclosure`, `third_party_disclosure`]  
**Example:** `access`

**privacy_request_policy** object  
The privacy request policy associated with the request.  
**id** string  
The unique identifier of the privacy request policy.  
**Example:** `967e34da-4863-4fcf-842d-176dd102d032`

**name** string  
The external facing name of the request policy.  
**Example:** `US Standard Policy`

**metadata** object  
The metadata associated with the request. Will include additional information about the request and the data subject.
If submitted through an intake form, data subject specific information will be included in the intake_data field.

**property name** string

**identifiers** object[]  
The identifiers associated with the request.

Array [
  **name** string  
  The name of the identifier.  
  **Example:** `email`
  
  **value** string  
  The value of the identifier.  
  **Example:** `john@example.com`
  
  **required** boolean  
  **Example:** `true`
]

**intake_data** object  
The intake data associated with the request.  
If submitted through an intake form, data subject specific information will be included here.

**property name** object

oneOf
- string
- string[]

string

**submitted_by** string  
The person who submitted the request.  
**Possible values:** [`application`, `authorized_agent`, `data_subject`]  
**Example:** `data_subject`

**status** string  
The status of the request.  
**Example:** `open`

**skip_results_email** boolean  
Flag to indicate if the final notification email should be skipped after processing a request.  
**Default value:** `false`  
**Example:** `false`

```json
{
  "id": "967e34da-4863-4fcf-842d-176dd102d032",
  "created_at": "2024-08-09T21:14:49.444Z",
  "due_date": "2024-08-09",
  "origin": "intake_form",
  "locale": "es",
  "privacy_right": "access",
  "privacy_request_policy": {
    "id": "967e34da-4863-4fcf-842d-176dd102d032",
    "name": "US Standard Policy"
  },
  "metadata": {
    "detected_country_code": "US",
    "detected_sub_region_code_1": "CA"
  },
  "identifiers": [
    {
      "name": "email",
      "value": "john@example.com",
      "required": true
    }
  ],
  "intake_data": {
    "first_name": "Guinevere",
    "last_name": "Camelot",
    "reported_country_code": "CA",
    "reported_sub_region_code_1": "QB",
    "favorite_colors": [
      "Red",
      "Blue"
    ]
  },
  "submitted_by": "data_subject",
  "status": "open",
  "skip_results_email": false
}
```

**Missing or invalid parameters**

- curl
- go
- java
- nodejs
- php
- python
- ruby
- rust
- swift

- CURL

```bash
curl -L 'https://www.example.com/api/v2/privacy_requests' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
  "email_address": "string",
  "privacy_right": "access",
  "privacy_request_policy_id": "94af67cf-5567-4a48-bc75-12ca0e8de9aa",
  "first_name": "string",
  "last_name": "string",
  "request_date": "2023-04-01",
  "country_code": "US",
  "state_code": "CA",
  "relationship": "controller",
  "notes": "string",
  "locale": "en",
  "intake_data": {
    "first_name": "Guinevere",
    "last_name": "Camelot",
    "authorized_agent_email": "agent@example.com",
    "favorite_colors": [
      "red",
      "blue"
    ],
    "data_subject_relationship": "employee",
    "multibrand-group": "my-brand-slug"
  },
  "skip_results_email": false
}'
```

**Request**
